VERSION 5.00
Begin VB.Form frmNew3KAL 
   AutoRedraw      =   -1  'True
   BorderStyle     =   1  'Fixed Single
   ClientHeight    =   2175
   ClientLeft      =   45
   ClientTop       =   375
   ClientWidth     =   3375
   Icon            =   "New3KAL.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2175
   ScaleWidth      =   3375
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdBack 
      Height          =   375
      Left            =   120
      TabIndex        =   3
      Top             =   1680
      Width           =   975
   End
   Begin VB.CommandButton cmdCancel 
      Height          =   375
      Left            =   1200
      TabIndex        =   4
      Top             =   1680
      Width           =   975
   End
   Begin VB.CommandButton cmdNext 
      Default         =   -1  'True
      Height          =   375
      Left            =   2280
      TabIndex        =   0
      Top             =   1680
      Width           =   975
   End
   Begin VB.ComboBox cmbYear 
      Height          =   315
      Left            =   2280
      Style           =   2  'Dropdown List
      TabIndex        =   2
      Top             =   720
      Width           =   975
   End
   Begin VB.ComboBox cmbMonth 
      Height          =   315
      Left            =   120
      Style           =   2  'Dropdown List
      TabIndex        =   1
      Top             =   720
      Width           =   2055
   End
   Begin VB.Label lblPrices 
      Alignment       =   2  'Center
      ForeColor       =   &H00000000&
      Height          =   285
      Left            =   120
      TabIndex        =   6
      Top             =   1200
      Width           =   3135
   End
   Begin VB.Label lblBegin 
      Height          =   495
      Left            =   120
      TabIndex        =   5
      Top             =   120
      Width           =   3135
   End
End
Attribute VB_Name = "frmNew3KAL"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'*************************************
'* Private declarations & constants: *
'*************************************

'Hand cursor declarations:
Private Declare Function SetCursor Lib "user32" (ByVal hCursor As Long) As Long
Private Declare Function LoadCursor Lib "user32" Alias "LoadCursorA" (ByVal hInstance As Long, ByVal lpCursorName As Long) As Long

'Hand cursor constant:
Private Const HandCursor = 32649&

'*********
'* Form: *
'*********

Private Sub Form_Load()

  On Error GoTo Error_Handler
  
  Dim i As Integer
  
  If sPartner <> "asadventure" And sPartner <> "fotek" Then Me.Icon = LoadPicture(App.Path & IIf(Right(App.Path, 1) = "\", vbNullString, "\") & "icon32.ico")
  Me.Caption = frmNew3KAL_Caption
  lblBegin.Caption = frmNew3KAL_lblBegin_Caption
  lblPrices.Caption = frmNew3KAL_lblPrices_Caption
  lblPrices.ToolTipText = frmNew3KAL_lblPrices_ToolTipText
  cmdBack.Caption = frmNew3KAL_cmdBack_Caption
  cmdCancel.Caption = frmNew3KAL_cmdCancel_Caption
  cmdNext.Caption = frmNew3KAL_cmdNext_Caption
  lblPrices.ForeColor = vbBlue
  lblPrices.FontBold = True
  lblPrices.FontUnderline = True
  cmbMonth.Clear
  
  For i = 1 To 12
  
    cmbMonth.AddItem (arrMonth(2, i))
    
  Next
  
  cmbMonth.Text = arrMonth(2, Month(Now))
  cmbYear.Clear
  cmbYear.AddItem (Year(Now))
  cmbYear.AddItem (Year(Now) + 1)
  cmbYear.AddItem (Year(Now) + 2)
  cmbYear.AddItem (Year(Now) + 3)
  cmbYear.AddItem (Year(Now) + 4)
  cmbYear.Text = Year(Now)
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmNew3KAL:Form_Load", Erl
  Resume Next
  
End Sub

'***************
'* ComboBoxes: *
'***************

Private Sub cmbMonth_Click()

  On Error GoTo Error_Handler
  If cmbMonth.ListIndex + 1 < Month(Now) And cmbYear.Text = Year(Now) Then cmbYear.Text = Year(Now) + 1
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmNew3KAL:cmbMonth_Click", Erl
  Resume Next
  
End Sub

'*******************
'* CommandButtons: *
'*******************

Private Sub cmdBack_Click()

  On Error GoTo Error_Handler
  Me.Hide
  On Error Resume Next
  frmNew2KAL.Show vbModal
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmNew3KAL:cmdBack_Click", Erl
  Resume Next
  
End Sub

Private Sub cmdCancel_Click()

  On Error GoTo Error_Handler
  Me.Hide
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmNew3KAL:cmdCancel_Click", Erl
  Resume Next
  
End Sub

Private Sub cmdNext_Click()

  On Error GoTo Error_Handler
  iMonth = cmbMonth.ListIndex + 1
  iYear = CInt(cmbYear.Text)
  Me.Hide
  bScrap = False
  sTheme = vbNullString
  CreateAlbum sNewName
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmNew3KAL:cmdNext_Click", Erl
  Resume Next
  
End Sub

'**********
'* Label: *
'**********

Private Sub lblPrices_Click()

  On Error GoTo Error_Handler
  frmPrices.GetPrices ThisCode, ThisCover
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmNew3KAL:lblPrices_Click", Erl
  Resume Next
  
End Sub

Private Sub lblPrices_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)

  Dim lHdl As Long
  
  On Error GoTo Error_Handler
  lHdl = LoadCursor(0, HandCursor)
  If (lHdl > 0) Then SetCursor lHdl
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmNew3KAL:lblPrices_MouseMove", Erl
  Resume Next
  
End Sub
