VERSION 5.00
Begin VB.Form frmOrderCD 
   AutoRedraw      =   -1  'True
   BorderStyle     =   1  'Fixed Single
   ClientHeight    =   5055
   ClientLeft      =   45
   ClientTop       =   375
   ClientWidth     =   4335
   Icon            =   "OrderCD.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5055
   ScaleWidth      =   4335
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.TextBox txtMail 
      Height          =   285
      Left            =   2280
      TabIndex        =   2
      Top             =   4080
      Width           =   1935
   End
   Begin VB.CommandButton CmdOK 
      Default         =   -1  'True
      Height          =   375
      Left            =   120
      TabIndex        =   3
      Top             =   4560
      Width           =   1935
   End
   Begin VB.CommandButton cmdCancel 
      Height          =   375
      Left            =   2280
      TabIndex        =   4
      Top             =   4560
      Width           =   1935
   End
   Begin VB.TextBox txtFirst 
      Height          =   285
      Left            =   2280
      TabIndex        =   0
      Top             =   3360
      Width           =   1935
   End
   Begin VB.TextBox txtLast 
      Height          =   285
      Left            =   2280
      TabIndex        =   1
      Top             =   3720
      Width           =   1935
   End
   Begin VB.Frame frmInfo 
      Height          =   3015
      Left            =   120
      TabIndex        =   5
      Top             =   120
      Width           =   4095
      Begin VB.Label lblInfo 
         Alignment       =   2  'Center
         Height          =   2775
         Left            =   120
         TabIndex        =   6
         Top             =   195
         Width           =   3855
      End
   End
   Begin VB.Label lblMail 
      Height          =   255
      Left            =   120
      TabIndex        =   9
      Top             =   4080
      Width           =   2055
   End
   Begin VB.Label lblFirst 
      Height          =   255
      Left            =   120
      TabIndex        =   8
      Top             =   3360
      Width           =   2055
   End
   Begin VB.Label lblLast 
      Height          =   255
      Left            =   120
      TabIndex        =   7
      Top             =   3720
      Width           =   2055
   End
End
Attribute VB_Name = "frmOrderCD"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'*********
'* Form: *
'*********

Private Sub Form_Load()

  On Error GoTo Error_Handler
  If sPartner <> "asadventure" And sPartner <> "fotek" Then Me.Icon = LoadPicture(App.Path & IIf(Right(App.Path, 1) = "\", vbNullString, "\") & "icon32.ico")
  Me.Caption = "'" & sAlbName & "' " & GetFromINI("frmOrderCD", "Me.Caption")
  lblInfo.Caption = frmOrderCD_lblInfo_Caption
  lblFirst.Caption = frmOrderCD_lblFirst_Caption
  lblLast.Caption = frmOrderCD_lblLast_Caption
  lblMail.Caption = frmOrderCD_lblMail_Caption
  cmdOK.Caption = frmOrderCD_cmdOK_Caption
  cmdCancel.Caption = frmOrderCD_cmdCancel_Caption
  txtFirst.Text = GetSetting(sAppName, "Order", "First", vbNullString)
  txtLast.Text = GetSetting(sAppName, "Order", "Last", vbNullString)
  txtMail.Text = GetSetting(sAppName, "Order", "Mail", vbNullString)
  txtFirst.SelStart = 0
  txtFirst.SelLength = Len(txtFirst.Text)
  Me.Width = 4425 'Otherwise size sometimes reduced (bug?)
  Me.Height = 5475
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmOrderCD:Form_Load", Erl
  Resume Next
  
End Sub

Private Sub Busy()

  On Error GoTo Error_Handler
  Screen.MousePointer = vbHourglass
  txtFirst.Enabled = False
  txtLast.Enabled = False
  txtMail.Enabled = False
  cmdOK.Enabled = False
  cmdCancel.Enabled = False
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmOrderCD:Busy", Erl
  Resume Next
  
End Sub

Private Sub NotBusy()

  On Error GoTo Error_Handler
  txtFirst.Enabled = True
  txtLast.Enabled = True
  txtMail.Enabled = True
  cmdOK.Enabled = True
  cmdCancel.Enabled = True
  Screen.MousePointer = vbDefault
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmOrderCD:NotBusy", Erl
  Resume Next
  
End Sub

'*******************
'* CommandButtons: *
'*******************

Private Sub cmdCancel_Click()

  On Error GoTo Error_Handler
  Me.Hide
'  UnloadObject Me
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmOrderCD:cmdCancel_Click", Erl
  Resume Next
  
End Sub

Private Sub cmdOK_Click()

  On Error GoTo Error_Handler
  
  If txtFirst.Text = vbNullString Then
  
    MsgBox GetFromINI("frmOrderCD", "CheckFirst"), vbInformation, sAppName
    txtFirst.SetFocus
    Exit Sub
    
  ElseIf txtLast.Text = vbNullString Then
  
    MsgBox GetFromINI("frmOrderCD", "CheckLast"), vbInformation, sAppName
    txtLast.SetFocus
    Exit Sub
    
  ElseIf txtMail.Text = vbNullString Then
  
    MsgBox GetFromINI("frmOrderCD", "CheckMail"), vbInformation, sAppName
    txtMail.SetFocus
    Exit Sub
    
  ElseIf ValidEmail(txtMail.Text) = False Then
  
    MsgBox GetFromINI("frmOrderInternet", "InvalidMail"), vbInformation, sAppName
    txtMail.SetFocus
    txtMail.SelStart = 0
    txtMail.SelLength = Len(txtMail.Text)
    Exit Sub
    
  End If
  
  Dim sName As String
  Dim fso   As New FileSystemObject
  Dim fld   As Folder
  Dim fls   As Files
  Dim fl    As File
  Dim oStrm As TextStream
  
  Busy
  SaveSetting sAppName, "Order", "First", txtFirst.Text
  SaveSetting sAppName, "Order", "Last", txtLast.Text
  SaveSetting sAppName, "Order", "Mail", txtMail.Text
  Set fld = fso.GetFolder(sMyAlbums & sAlbName)
  Set fls = fld.Files
  sName = Format(Date, "yyyyMMdd") & Format(time, "hhmmss")
  
  'Create order folder:
  
  If fso.FolderExists(frmPixbook.FT1.Utilities.GetSpecialFolderPath(DESKTOPDIRECTORY) & "\" & sOrderCDDir) = False Then fso.CreateFolder frmPixbook.FT1.Utilities.GetSpecialFolderPath(DESKTOPDIRECTORY) & "\" & sOrderCDDir
  If fso.FolderExists(frmPixbook.FT1.Utilities.GetSpecialFolderPath(DESKTOPDIRECTORY) & "\" & sOrderCDDir & "\" & sName) = False Then fso.CreateFolder frmPixbook.FT1.Utilities.GetSpecialFolderPath(DESKTOPDIRECTORY) & "\" & sOrderCDDir & "\" & sName
  
  'Copy aml & cml file:
  fso.CopyFile sMyAlbums & sAlbName & "\" & sAlbName & ".aml", frmPixbook.FT1.Utilities.GetSpecialFolderPath(DESKTOPDIRECTORY) & "\" & sOrderCDDir & "\" & sName & "\" & sName & ".aml"
  If fso.FileExists(sMyAlbums & sAlbName & "\" & sAlbName & ".cml") And (oDOMAlbum.documentElement.getAttribute("COVER") = "WP" Or oDOMAlbum.documentElement.getAttribute("COVER") = "BP") Then fso.CopyFile sMyAlbums & sAlbName & "\" & sAlbName & ".cml", frmPixbook.FT1.Utilities.GetSpecialFolderPath(DESKTOPDIRECTORY) & "\" & sOrderCDDir & "\" & sName & "\" & sName & ".cml"
  
  'Delete all unreferenced figures, copy others:
  For Each fl In fls
  
    If LCase(Right(fl.Name, 3)) = "jpg" Or LCase(Right(fl.Name, 3)) = "gif" Then
    
      If FigInDOM(LCase(fl.Name)) = False Then
      
        fl.Delete True
        
      Else
      
        fl.Copy frmPixbook.FT1.Utilities.GetSpecialFolderPath(DESKTOPDIRECTORY) & "\" & sOrderCDDir & "\" & sName & "\" & fl.Name
        
      End If
      
    End If
    
  Next
  
  'Create .txt-file:
  Set fld = fso.GetFolder(frmPixbook.FT1.Utilities.GetSpecialFolderPath(DESKTOPDIRECTORY) & "\" & sOrderCDDir & "\" & sName)
  Set oStrm = fld.CreateTextFile(sName & ".txt")
  oStrm.WriteLine "First name: " & txtFirst.Text
  oStrm.WriteLine "Last name: " & txtLast.Text
  oStrm.WriteLine "Mail: " & txtMail.Text
  oStrm.WriteLine "Partner: " & sPartner
  oStrm.WriteLine "Language: " & sLanguage
  oStrm.Close
  Me.Hide
  MsgBox GetFromINI("frmOrderCD", "lblInfo.Caption4") & vbCrLf & vbCrLf & vbCrLf & GetFromINI("frmOrderCD", "lblInfo.Caption4a") & vbCrLf & GetFromINI("frmOrderCD", "lblInfo.Caption4b") & vbCrLf & GetFromINI("frmOrderCD", "lblInfo.Caption4c") & vbCrLf & GetFromINI("frmOrderCD", "lblInfo.Caption5"), vbInformation, Me.Caption
  Set oStrm = Nothing
  Set fl = Nothing
  Set fls = Nothing
  Set fld = Nothing
  Set fso = Nothing
  NotBusy
  UnloadObject Me
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmOrderCD:cmdOK_Click", Erl
  Resume Next
  
End Sub
